<?php

namespace App\Enum\Communication;

enum CallQueueType: string {
    case Client = 'client';
    case External = 'external';
    case Intake = 'intake';

    public function label(): string {
        return match ($this) {
            self::Client => 'Client Queue',
            self::External => 'External Queue',
            self::Intake => 'General Intake',
        };
    }
}